| LightHub v4.0.0 Smarthome controller firmware

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
out_SPILed Class Reference

`#include <out_spiled.h>`

Inheritance diagram for out_SPILed:

## Public Member Functions
| out_SPILed (Item *_item)
int | Setup () override
| Remove?? Now getChanType used instead. More...
int | Poll (short cause) override
int | Stop () override
int | Status () override
int | getChanType () override
int | PixelCtrl (itemCmd cmd, char *subItem=NULL, bool show=true) override
Public Member Functions inherited from colorChannel
| colorChannel (Item *_item)
int | Ctrl (itemCmd cmd, char *subItem=NULL, bool toExecute=true) override
int | getDefaultStorageType () override
short | getChannelAddr (short n=0)
Public Member Functions inherited from abstractOut
| abstractOut (Item *_item)
virtual int | isActive ()
virtual itemCmd | getDefaultOnVal ()
Public Member Functions inherited from abstractCh
| abstractCh ()
virtual | ~abstractCh ()
virtual int | Anounce ()

## Public Attributes
int | numLeds
int8_t | pin
int | ledsType

## Protected Member Functions
void | getConfig ()
Protected Member Functions inherited from abstractCh
virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Additional Inherited Members
Protected Attributes inherited from colorChannel
short | iaddr
short | numArgs
Protected Attributes inherited from abstractOut
Item * | item

## Constructor & Destructor Documentation

## ◆ out_SPILed()

out_SPILed::out_SPILed | ( | Item * | _item | ) |
| inline

## Member Function Documentation

## ◆ getChanType()

int out_SPILed::getChanType | ( |  | ) |
| override virtual

Reimplemented from abstractOut.

## ◆ getConfig()

void out_SPILed::getConfig | ( |  | ) |
| protected

## ◆ PixelCtrl()

int out_SPILed::PixelCtrl | ( | itemCmd | cmd,
|  | char * | subItem = `NULL`,
|  | bool | show = `true`
| ) |  |
| override virtual

Implements colorChannel.

## ◆ Poll()

int out_SPILed::Poll | ( | short | cause | ) |
| override virtual

Implements abstractCh.

## ◆ Setup()

int out_SPILed::Setup | ( |  | ) |
| override virtual

Remove?? Now getChanType used instead.

Reimplemented from abstractOut.

## ◆ Status()

int out_SPILed::Status | ( |  | ) |
| override virtual

Reimplemented from abstractCh.

## ◆ Stop()

int out_SPILed::Stop | ( |  | ) |
| override virtual

Reimplemented from abstractCh.

## Member Data Documentation

## ◆ ledsType

int out_SPILed::ledsType

## ◆ numLeds

int out_SPILed::numLeds

## ◆ pin

int8_t out_SPILed::pin

The documentation for this class was generated from the following files:

- modules/out_spiled.h
- modules/out_spiled.cpp